import { __decorate } from "tslib";
import { Injectable } from '@angular/core';
let UrlParser = class UrlParser {
    parse(url, base) {
        if (base) {
            return new URL(url, base);
        }
        return new URL(url);
    }
    joinUrls(currentUrl, url) {
        const currentUrlSegments = currentUrl
            .split('#')[0] // remove hash
            .split('?')[0] // remove query params
            .split('/');
        const urlSegments = url.split('/');
        return urlSegments
            .reduce((segments, segment) => {
            if (segment === '.') {
                return segments;
            }
            if (segment === '..') {
                return segments.slice(0, -1);
            }
            return [...segments, segment];
        }, currentUrlSegments)
            .join('/');
    }
};
UrlParser = __decorate([
    Injectable()
], UrlParser);
export { UrlParser };
//# sourceMappingURL=url-parser.js.map