import { __decorate, __read, __spread } from "tslib";
import { Injectable } from '@angular/core';
var UrlParser = /** @class */ (function () {
    function UrlParser() {
    }
    UrlParser.prototype.parse = function (url, base) {
        if (base) {
            return new URL(url, base);
        }
        return new URL(url);
    };
    UrlParser.prototype.joinUrls = function (currentUrl, url) {
        var currentUrlSegments = currentUrl
            .split('#')[0] // remove hash
            .split('?')[0] // remove query params
            .split('/');
        var urlSegments = url.split('/');
        return urlSegments
            .reduce(function (segments, segment) {
            if (segment === '.') {
                return segments;
            }
            if (segment === '..') {
                return segments.slice(0, -1);
            }
            return __spread(segments, [segment]);
        }, currentUrlSegments)
            .join('/');
    };
    UrlParser = __decorate([
        Injectable()
    ], UrlParser);
    return UrlParser;
}());
export { UrlParser };
//# sourceMappingURL=url-parser.js.map