import { AfterContentInit, ElementRef, OnChanges, OnDestroy, QueryList, Renderer2 } from '@angular/core';
import { LinkTo } from './link-to.directive';
import { Router } from './router.service';
export interface LinkActiveOptions {
    exact: boolean;
}
export declare const LINK_ACTIVE_OPTIONS: LinkActiveOptions;
/**
 * The LinkActive directive toggles classes on elements that contain an active linkTo directive
 *
 * <a linkActive="active" linkTo="/home/page">Home Page</a>
 * <ol>
 *  <li linkActive="active" *ngFor="var link of links">
 *    <a [linkTo]="'/link/' + link.id">{{ link.title }}</a>
 *  </li>
 * </ol>
 */
export declare class LinkActive implements AfterContentInit, OnDestroy, OnChanges {
    element: ElementRef;
    router: Router;
    renderer: Renderer2;
    private defaultActiveOptions;
    private link;
    links: QueryList<LinkTo>;
    activeClass: string;
    activeOptions: LinkActiveOptions;
    private _activeOptions;
    private _destroy$;
    private _linksSub;
    constructor(element: ElementRef, router: Router, renderer: Renderer2, defaultActiveOptions: LinkActiveOptions, link: LinkTo);
    ngAfterContentInit(): void;
    ngOnChanges(): void;
    collectLinks(): void;
    checkActive(linkHrefs: string[], path: string): void;
    updateClasses(active: boolean): void;
    ngOnDestroy(): void;
}
