import { OnInit, OnDestroy } from '@angular/core';
import { Route, ActiveRoute } from './route';
import { Router } from './router.service';
export declare class RouterComponent implements OnInit, OnDestroy {
    private router;
    parentRouterComponent: RouterComponent;
    private destroy$;
    private readonly state$;
    readonly activeRoute$: import("rxjs").Observable<ActiveRoute>;
    readonly routes$: import("rxjs").Observable<Route[]>;
    basePath: string;
    constructor(router: Router, parentRouterComponent: RouterComponent);
    ngOnInit(): void;
    setRoute(url: string, route: Route): void;
    registerRoute(route: Route): Route;
    setActiveRoute(activeRoute: ActiveRoute): void;
    unregisterRoute(route: Route): void;
    normalizePath(path: string): string;
    ngOnDestroy(): void;
    private isRouteMatch;
    private compareActiveRoutes;
    private compareRoutes;
    private updateState;
    private updateRoutes;
}
