import { PlatformLocation, Location } from '@angular/common';
import { UrlParser } from './url-parser';
import { Params } from './route-params.service';
export declare class Router {
    private location;
    private platformLocation;
    private urlParser;
    private readonly state$;
    readonly url$: import("rxjs").Observable<string>;
    readonly hash$: import("rxjs").Observable<string>;
    readonly queryParams$: import("rxjs").Observable<Params>;
    constructor(location: Location, platformLocation: PlatformLocation, urlParser: UrlParser);
    go(url: string, queryParams?: Params, hash?: string): void;
    replace(url: string, queryParams?: Params, hash?: string): void;
    serializeUrl(url: string, queryParams?: Params, hash?: string): string;
    getExternalUrl(url: string): string;
    parseSearchParams(searchParams: URLSearchParams): Params;
    normalizePath(path: string): string;
    private getLocation;
    private nextState;
    private _parseUrl;
}
